Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024069Runner[All Projects] HTML5Public2016-10-09 03:202017-03-17 11:16
ReporterYellowAfterlife 
Assigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindowsOSWindows 8OS Version8.1
Summary0024069: HTML5: ds_list_find_value' default return values do not match up with native
DescriptionConsider the following:
var q = ds_list_create();
trace(q[|0]);
q = 1;
trace(q[|0]);


Output on Windows:
undefined 
ERROR!!! :: ...
Data structure with index does not exist.


Output on HTML5:
Error: invalid ds_list position (ds_list_find_value)
0
Error: invalid ds_list ID (ds_list_find_value)
-1
1.4 Version7.7.1305
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon a_bug.gmz [^] (119,455 bytes) 2016-10-09 03:20

- Relationships

-  Notes
(0051699)
Russell Kay (Manager)
2017-02-21 10:29

Fixed in gitlab - 07fb619 - no longer complains and returns undefined
(0052275)
Ross Manthorp (Administrator)
2017-03-17 11:16

Verified. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker